# Uses of Enum
org.apache.commons.math3.stat.descriptive.rank.Percentile.EstimationType

Packages that use Percentile.EstimationType
Package
Description
org.apache.commons.math3.stat.descriptive.rank
Summary statistics based on ranks.

## Uses of Percentile.EstimationType in org.apache.commons.math3.stat.descriptive.rank

Methods in org.apache.commons.math3.stat.descriptive.rank that return Percentile.EstimationType
Modifier and Type
Method
Description
`Percentile.EstimationType`
Percentile.`getEstimationType()`
Get the estimation `type` used for computation.
`static Percentile.EstimationType`
Percentile.EstimationType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Percentile.EstimationType[]`
Percentile.EstimationType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.stat.descriptive.rank with parameters of type Percentile.EstimationType
Modifier and Type
Method
Description
`Median`
Median.`withEstimationType(Percentile.EstimationType newEstimationType)`
Build a new instance similar to the current one except for the `estimation type`.
`Percentile`
Percentile.`withEstimationType(Percentile.EstimationType newEstimationType)`
Build a new instance similar to the current one except for the `estimation type`.
Constructors in org.apache.commons.math3.stat.descriptive.rank with parameters of type Percentile.EstimationType
Modifier
Constructor
Description
`protected`
`Percentile(double quantile, Percentile.EstimationType estimationType, NaNStrategy nanStrategy, KthSelector kthSelector)`
Constructs a Percentile with the specific quantile value, `Percentile.EstimationType`, `NaNStrategy` and `KthSelector`.